> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/gnosis-gno/gno_eth_getfilterchanges.md).

# eth\_getFilterChanges - Gnosis

Example code for the eth\_getFilterChanges json-rpc method. Сomplete guide on how to use eth\_getFilterChanges json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`data` - hex string

Filter ID.

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "eth_getFilterChanges",
"params": ["0x7c31"],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": {
        "code": -32000,
        "message": "Filter not found"
    },
    "id": "getblock.io",
    "jsonrpc": "2.0"
}
```
